"use strict";
const common_vendor = require("../../../common/vendor.js");
const common_libraries_userUserLogin = require("../../../common/libraries/userUserLogin.js");
const pages_index_model = require("../model.js");
require("../../../common/libraries/request.js");
require("../../../common/store/useWeAppAuthStore.js");
require("../../../gen/Apis.js");
require("../../../common/store/useWatermarkStore.js");
require("../../../common/store/useWorkStore.js");
require("../../../common/libraries/apiLoading.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "Classification",
  setup(__props) {
    const goToPage = (url) => {
      var _a;
      if (url) {
        common_vendor.index.navigateTo({
          url: !((_a = common_libraries_userUserLogin.getUser) == null ? void 0 : _a.getLoginStatus()) ? "/pages/login" : url || ""
        });
      } else {
        common_vendor.index.showModal({
          title: "提示",
          content: "该功能暂未开放，敬请期待",
          confirmColor: "#0082FA",
          success: function(res) {
            if (res.confirm) {
              console.log("用户点击确定");
            } else if (res.cancel) {
              console.log("用户点击取消");
            }
          }
        });
      }
    };
    const list = [
      {
        label: "新增工单",
        icon: "workorder_icon.svg",
        url: "/ME/work_order_home/index"
      },
      {
        label: "房屋管理",
        icon: "house_icon.svg",
        url: "/CUSTOMER/list_house/index"
      },
      {
        label: "任务中心",
        icon: "task_icon.svg",
        url: "/INDEX/task/list/index",
        key: "houseWorkOrderCount"
      },
      {
        label: "仪表抄表",
        icon: "meter_reading_icon.svg",
        url: "/ME/instrument/list/index"
      },
      {
        label: "水印相机",
        icon: "WatermarkCamera.svg",
        url: "/INDEX/watermark_camera/index"
      },
      {
        label: "客户管理",
        icon: "user_icon.svg",
        url: "/CUSTOMER/list_user/index"
      },
      {
        label: "数据看板",
        icon: "performance_icon.svg",
        url: "/pages/data_oard/index"
      },
      // {
      //   label: '知识问答',
      //   icon: 'knowledge_icon.svg',
      //   url: '/ME/knowledge_qa/index'
      // },
      {
        label: "住户登记",
        icon: "household_registration.svg",
        url: "/CUSTOMER/bind_house_form/index"
      },
      {
        label: "催缴记录",
        icon: "collection_icon.svg",
        url: "/BILL/collection_record/index/index"
      },
      {
        label: "公告",
        icon: "announcement.svg",
        url: "/ME/announcement/list/index"
      }
    ];
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(list, (i, index, i0) => {
          var _a, _b, _c, _d, _e, _f, _g, _h, _i;
          return common_vendor.e({
            a: `/static/svg/${i.icon}`,
            b: (i == null ? void 0 : i.key) && ((_c = (_b = (_a = common_vendor.unref(pages_index_model.useModel)) == null ? void 0 : _a.IndexCount) == null ? void 0 : _b.value) == null ? void 0 : _c[i == null ? void 0 : i.key])
          }, (i == null ? void 0 : i.key) && ((_f = (_e = (_d = common_vendor.unref(pages_index_model.useModel)) == null ? void 0 : _d.IndexCount) == null ? void 0 : _e.value) == null ? void 0 : _f[i == null ? void 0 : i.key]) ? {
            c: common_vendor.t(((_i = (_h = (_g = common_vendor.unref(pages_index_model.useModel)) == null ? void 0 : _g.IndexCount) == null ? void 0 : _h.value) == null ? void 0 : _i[i == null ? void 0 : i.key]) || 0)
          } : {}, {
            d: common_vendor.t(i.label),
            e: `items_${index}`,
            f: common_vendor.o(($event) => goToPage(i == null ? void 0 : i.url), `items_${index}`)
          });
        })
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-1833569a"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/pages/index/components/Classification.vue"]]);
wx.createComponent(Component);
